[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force XFree86 SVN commit: r2006 - in trunk/debian: . scripts



Author: fabbione
Date: 2004-11-03 08:04:09 -0500 (Wed, 03 Nov 2004)
New Revision: 2006

Modified:
   trunk/debian/CHANGESETS
   trunk/debian/changelog
   trunk/debian/scripts/validate-posix-sh
Log:
Add exit codes to validate-posix-sh, so that it will always run the full test
suite before failing.  This change is required to effectively run
valide-posix-sh within debian/rules.

(Branden: usual $boilerplate)



Modified: trunk/debian/CHANGESETS
===================================================================
--- trunk/debian/CHANGESETS	2004-11-03 05:33:19 UTC (rev 2005)
+++ trunk/debian/CHANGESETS	2004-11-03 13:04:09 UTC (rev 2006)
@@ -225,4 +225,9 @@
 slightly increase verbosity of validate-posix-sh warnings.
     2004, 2005
 
+Add exit codes to validate-posix-sh, so that it will always run the full test
+suite before failing.  This change is required to effectively run
+valide-posix-sh within debian/rules.
+    2006
+
 vim:set ai et sts=4 sw=4 tw=80:

Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2004-11-03 05:33:19 UTC (rev 2005)
+++ trunk/debian/changelog	2004-11-03 13:04:09 UTC (rev 2006)
@@ -189,6 +189,10 @@
   * Add simple sanity check on generated maintainer scripts at buildtime and
     slightly increase verbosity of validate-posix-sh warnings.
 
+  * Add exit codes to validate-posix-sh, so that it will always run the full
+    test suite before failing.  This change is required to effectively run 
+    valide-posix-sh within debian/rules.
+
  -- Branden Robinson <branden@debian.org>  Sun, 31 Oct 2004 02:22:48 -0500
 
 xfree86 (4.3.0.dfsg.1-8) unstable; urgency=high

Modified: trunk/debian/scripts/validate-posix-sh
===================================================================
--- trunk/debian/scripts/validate-posix-sh	2004-11-03 05:33:19 UTC (rev 2005)
+++ trunk/debian/scripts/validate-posix-sh	2004-11-03 13:04:09 UTC (rev 2006)
@@ -11,6 +11,7 @@
 DASH="dash -n"
 KSH="ksh -n"
 POSH="posh -n"
+error=""
 
 usage () {
     cat <<EOF
@@ -44,6 +45,7 @@
         if which "$CMD" >/dev/null 2>&1; then
             if ! $SH $1; then
                 echo "$PROGNAME: \"$1\" failed syntax check with $CMD"
+                error="yes"
             fi
         else
             warn "cannot verify correctness of \"$1\" with $CMD; shell not available"
@@ -52,4 +54,10 @@
     shift
 done
 
+if [ -n "$error" ]; then
+  exit 1
+fi
+
+exit 0
+
 # vim:set ai et sts=4 sw=4 tw=80:



Reply to: